## org.w3c.jigsaw.filters
Class ProcessFilter

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ResourceFilter
                                    |
                                    +--org.w3c.jigsaw.filters.ProcessFilter

public class ProcessFilter
extends org.w3c.tools.resources.ResourceFilter

This filter process a normal entity body through any process.

Although, you would probably include the filtered resource inside a NegotiatedResource to make sure the target browser accepts this content-encoding.

Field Summary
`protected static int` | `ATTR_COMMAND` Attribute index - The command we should pass the stream through.
`protected java.lang.Runtime` | `runtime` A pointer to our runtime object.

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, slowpickle, values`

Constructor Summary
`ProcessFilter()`

Method Summary
`java.lang.String[]` | `getCommand()` Get the command we should process the reply stream through.
`void` | `initialize(java.lang.Object[] values)` Initialize a process filter.
`org.w3c.tools.resources.ReplyInterface` | `outgoingFilter(org.w3c.tools.resources.RequestInterface req, org.w3c.tools.resources.ReplyInterface rep)` Process the request output through the provided process filter.

Methods inherited from class org.w3c.tools.resources.ResourceFilter
`exceptionFilter, getTargetResource, ingoingFilter, ingoingFilter, lookup, outgoingFilter, outputFilter`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, perform, postFrameEvent, processEvent, registerResource, removeFrameEventListener, setValue, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource

`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, setContext, setContext, setValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, initialize, lookupAttribute, pickle, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unpickle, unpickle, unpickle, unpickleInstance, unpickleInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_COMMAND

    protected static int ATTR_COMMAND

  Attribute index - The command we should pass the stream through.

### runtime

    protected java.lang.Runtime runtime

  A pointer to our runtime object.

Constructor Detail

### ProcessFilter

    public ProcessFilter()

Method Detail

### getCommand

    public java.lang.String[] getCommand()

  Get the command we should process the reply stream through.

### outgoingFilter

    public org.w3c.tools.resources.ReplyInterface outgoingFilter(org.w3c.tools.resources.RequestInterface req,
                                                                 org.w3c.tools.resources.ReplyInterface rep)
                                                          throws org.w3c.tools.resources.ProtocolException

  Process the request output through the provided process filter.
  Throws:
    org.w3c.tools.resources.ProtocolException - If processing should be interrupted, because an abnormal situation occured.
  Overrides:
    outgoingFilter in class org.w3c.tools.resources.ResourceFilter

### initialize

    public void initialize(java.lang.Object[] values)

  Initialize a process filter. Just get a pointer to the runtime object.
  Parameters:
    `values` - The default attribute values.
  Overrides:
    initialize in class org.w3c.tools.resources.FramedResource